export class ContentEditManager {
  constructor(documentViewer) {
    this.documentViewer = documentViewer
  }

  async startContentEditMode() {
    // for (const pageView of this.documentViewer.pdfViewer._pages) {
    //   if (pageView.contentContainer) {
    //     await pageView.contentContainer.init()
    //   }
    // }
    this.documentViewer.setToolMode('editor')
  }

  async endContentEditMode() {
    // for (const pageView of this.documentViewer.pdfViewer._pages) {
    //   if (pageView.contentContainer) {
    //     pageView.contentContainer.destroy()
    //     pageView.contentContainer = null
    //   }
    // }
    // await this.documentViewer.updateTextPtr()
    this.documentViewer.setToolMode('view')
  }
}